bash (5.3-3ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable (LP: #2153285). Remaining changes:
    - d/skel.bashrc: Run lesspipe.
    - d/skel.bashrc: Enable ls aliases.
    - d/skel.bashrc: Set options in ll alias to -alF.
    - d/skel.bashrc: Define an alert alias.
    - d/skel.bashrc: Enable colored grep aliases.
    - d/p/deb-bash-config.diff: Set the default path to comply with
      Debian policy.
    - d/tests: Add autopkgtest for the built-in path.
    - d/rules: Use /usr/bin/bash as SHELL.

 -- Zineb Zaadoud <zineb.zaadoud@canonical.com>  Mon, 10 Aug 2026 11:37:44 +0200

bash (5.3-3) unstable; urgency=medium

  * Build with -O1 on sh4 (Adrian Glaubitz). Addresses: #1130485.

 -- Matthias Klose <doko@debian.org>  Sun, 03 May 2026 21:28:45 +0200

bash (5.3-2) unstable; urgency=medium

  * Apply upstream patches 004 - 009.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Feb 2026 11:43:30 +0100

bash (5.3-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130157). Remaining changes:
    - d/skel.bashrc: run lesspipe
    - d/skel.bashrc: enable ls aliases
    - d/skel.bashrc: set options in ll alias to -alF
    - d/skel.bashrc: define an alert alias
    - d/skel.bashrc: enable colored grep aliases
    - d/p/deb-bash-config.diff: resurrect "Set the default
      path to comply with Debian policy"
    - d/tests: add autopkgtest for the built-in path
    - d/rules: change SHELL to /usr/bin/bash
    Drop changes cancelling each other:
    - d/etc.bash.bashrc: add sudo hint
    - remove bash hint from /etc/bash.bashrc
    Drop changes addressed in Debian:
    - Source profile.d from /etc/bash.bashrc to allow packages to ship
      integration hooks into interactive shells, same ones they already ship
      for login shells (Closes #675008) (LP #2083705)
    - Undo the change from the last upload, but keep the code commented
      out.  This should be at a user's discretion.  And there are already
      explicit hooks for bash-completion and command-not-found.
    - /etc/bash.bashrc: Explicitly source /etc/profile.d/vte*.sh, and
      sync the color prompt setting from /etc/skel/.bashrc.
    Drop changes addressed upstream:
    - d/p/fix-rcfile-man.diff: correct the bash(1) man-page
    Drop temporary changes:
    - temporarily set std=gnu17 to fix the FTBFS

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Thu, 30 Oct 2025 18:02:26 +0100

bash (5.3-1) unstable; urgency=medium

  * New upstream release 5.3.
  * Apply upstream patches 001 - 003.
  * clear_console: Handle screen and screen.* TERM envvar.
  * bashrc: Avoid a command-not-found lookup stat (Ville Skyttä).
    Closes: #1015216.

 -- Matthias Klose <doko@debian.org>  Wed, 03 Sep 2025 10:39:11 +0200

bash (5.3~rc2-1) experimental; urgency=medium

  * New upstream release candidate 5.3 rc2.
  * /etc/bashrc: Add support to source /etc/profile.d. This is
    commented out by default.  Users should explicity enable that if
    wanted.  Addresses: #675008.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Jun 2025 18:29:42 +0200

bash (5.3~rc1-1) experimental; urgency=medium

  * New upstream release candidate 5.3 rc1.
  * Remove VCS attributes.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Apr 2025 10:39:39 +0200

bash (5.3~beta1-1) experimental; urgency=medium

  * New upstream snapshot 5.3 beta.

 -- Matthias Klose <doko@debian.org>  Tue, 21 Jan 2025 14:00:26 +0100

bash (5.3~alpha1-1) experimental; urgency=medium

  * New upstream snapshot 5.3 alpha.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 11:58:50 +0200

bash (5.2.37-2ubuntu5) questing; urgency=medium

  * Dropping delta not considered relevant any more (LP: #2120249)
    - d/etc.bash.bashrc: add sudo hint
  * Temporarily set -std=gnu17 to fix FTBFS with gcc-15
    - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1098911

 -- Ravi Kant Sharma <ravi.kant.sharma@canonical.com>  Mon, 08 Sep 2025 15:20:42 +0200

bash (5.2.37-2ubuntu4) questing; urgency=medium

  * /etc/bash.bashrc: Explicitly source /etc/profile.d/vte*.sh, and
    sync the color prompt setting from /etc/skel/.bashrc.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Jun 2025 19:54:28 +0200

bash (5.2.37-2ubuntu3) questing; urgency=medium

  * Undo the change from the last upload, but keep the code commented
    out.  This should be at a user's discretion.  And there are already
    explicit hooks for bash-completion and command-not-found.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 11 Jun 2025 10:48:05 +0200

bash (5.2.37-2ubuntu2) questing; urgency=medium

  [ Dimitri John Ledkov ]
  * Source profile.d from /etc/bash.bashrc to allow packages to ship
    integration hooks into interactive shells, same ones they already ship
    for login shells (Closes: #675008) (LP: #2083705)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Jun 2025 21:09:39 -0400

bash (5.2.37-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2111514). Remaining changes:
    - d/skel.bashrc:
      + run lesspipe
      + enable ls aliases
      + set options in ll alias to -alF
      + define an alert alias
      + enable colored grep aliases
    - d/etc.bash.bashrc: add sudo hint
    - d/p/deb-bash-config.diff: resurrect "Set the default path to comply with Debian policy"
    - d/tests: add autopkgtest for the built-in path
    - d/p/fix-rcfile-man.diff: correct the bash(1) man-page
      + Add a note that --rcfile does not prevent the execution of the
        system-wide /etc/bash.bashrc file.

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Tue, 20 May 2025 21:19:03 -0700

bash (5.2.37-1.1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 04 Mar 2025 20:35:44 -0600

bash (5.2.37-1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.
  * Dropped changes:
    - Add configure-strtold-check.patch (LP: #2083131)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Dec 2024 14:06:27 -0600

bash (5.2.32-1ubuntu2) plucky; urgency=medium

  * Add configure-strtold-check.patch (LP: #2083131)

 -- Agathe Porte <agathe.porte@canonical.com>  Sat, 26 Oct 2024 13:07:59 +0200

bash (5.2.32-1ubuntu1) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Aug 2024 10:58:31 +0200

bash (5.2.32-1) unstable; urgency=medium

  * New patch release.
    - Remove duplicate definition of strtoimax. Closes: #1023053.
  * /etc/bash.bashrc Don't dereference undefined variables, breaking
    when run with -u. Closes: #941248, #1034658, #1064645.

 -- Matthias Klose <doko@debian.org>  Tue, 20 Aug 2024 09:47:46 +0200

bash (5.2.21-2.1ubuntu1) oracular; urgency=low

  * Merge from Debian Unstable, remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.
    - Correct the bash(1) man-page to note that --rcfile does not prevent the
      execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 06 Jun 2024 10:30:03 -0500

bash (5.2.21-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files to /usr for DEP17. Closes: #1064888.

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 05 Jun 2024 17:19:12 +0200

bash (5.2.21-2ubuntu5) oracular; urgency=medium

  * Correct the bash(1) man-page to note that --rcfile does not prevent the
    execution of the system-wide /etc/bash.bashrc file (LP: #1097467)

 -- Dave Jones <dave.jones@canonical.com>  Tue, 16 Apr 2024 21:44:44 +0100

bash (5.2.21-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:41:03 +0000

bash (5.2.21-2ubuntu3) noble; urgency=medium

  * Rebuild to pick up the t64 ABIs from glibc (LP: #2059078)

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 26 Mar 2024 18:18:11 +0100

bash (5.2.21-2ubuntu2) noble; urgency=medium

  * DEP17: Move files to /usr

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 11:31:00 +0100

bash (5.2.21-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - skel.bashrc:
      - Run lesspipe.
      - Enable ls aliases.
      - Set options in ll alias to -alF.
      - Define an alert alias.
      - Enabled colored grep aliases.
    - etc.bash.bashrc:
      - Add sudo hint.
    - Resurrect "Set the default path to comply with Debian policy" in
      deb-bash-config.diff.
    - Add autopkgtest for the built-in path.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 09:46:25 +0100

bash (5.2.21-2) unstable; urgency=medium

  * Fix crash in rl_do_undo, taken from upstream. See #1056314, #1037274.

 -- Matthias Klose <doko@debian.org>  Sun, 26 Nov 2023 09:09:52 +0100

bash (5.2.21-1) unstable; urgency=medium

  * New patch release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 25 Nov 2023 11:43:49 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog bash`.
